플랜 분석
고친 플랜의 전망(저장 안 함)
필요한 권한: plans:read
POST
/
v1
/
plans
/
{id}
/
projection
고친 플랜의 전망(저장 안 함)
curl --request POST \
--url https://api.morrowly.app/v1/plans/{id}/projection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
],
"remove": [
"<string>"
]
},
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"remove": [
"<string>"
],
"upsert": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
]
}
'import requests
url = "https://api.morrowly.app/v1/plans/{id}/projection"
payload = {
"finances": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": True,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
],
"remove": ["<string>"]
},
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"remove": ["<string>"],
"upsert": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
finances: {
assets: [
{
acquiredAt: '<string>',
acquisitionPrice: 123,
annualRate: 123,
dividendYield: 123,
id: '<string>',
monthlyContribution: 123,
name: '<string>',
payoutStartAge: 123,
payoutYears: 123,
region: '<string>',
serviceYears: 123,
value: 123
}
],
birthMonth: '<string>',
cash: 123,
cashFlows: [
{
annualGrowth: 123,
end: '<string>',
expenseRate: 123,
id: '<string>',
monthlyAmount: 123,
name: '<string>',
start: '<string>'
}
],
dependents: [{birthMonth: '<string>', id: '<string>', name: '<string>'}],
liabilities: [
{
annualRate: 123,
id: '<string>',
interestDeduction: true,
name: '<string>',
principal: 123,
remainingMonths: 123
}
],
remove: ['<string>']
},
milestones: [
{
id: '<string>',
name: '<string>',
time: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
],
remove: ['<string>'],
upsert: [
{
id: '<string>',
kind: '<string>',
name: '<string>',
annualRate: 123,
cost: 123,
end: {age: 123, milestone: '<string>', month: '<string>', offset: 123},
loan: {annualRate: 123, principal: 123, termMonths: 123},
price: 123,
saleCost: 123,
start: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
]
})
};
fetch('https://api.morrowly.app/v1/plans/{id}/projection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"incomes": [
{
"dependentFails": true,
"dependentIncome": 123,
"financialIncome": 123,
"owner": "SELF",
"privatePension": 123,
"year": 123
}
],
"loanChecks": [
{
"borrowed": 123,
"event": "<string>",
"limit": {
"cap": 123,
"dsr": 123,
"ineligible": "HOME",
"limit": 123,
"ltv": 123,
"policy": "DIDIMDOL",
"regulated": true
},
"principal": 123
}
],
"months": [
{
"age": 123,
"assets": {},
"cash": 123,
"debtPayment": 123,
"expense": 123,
"flows": {
"debt": {},
"events": {},
"expense": {},
"income": {},
"saved": {},
"sold": {},
"withdrawn": {}
},
"income": 123,
"liabilities": {},
"month": "<string>",
"netWorth": 123,
"shortfall": true,
"tax": 123,
"taxes": {},
"totalAssets": 123,
"totalLiabilities": 123
}
],
"repeats": {},
"summary": {
"estate": {
"age": 123,
"charity": 123,
"charityShare": 123,
"first": {
"charity": 123,
"financial": 123,
"financialDeduction": 123,
"giftsAdded": 123,
"gross": 123,
"personalDeduction": 123,
"spouseDeduction": 123,
"tax": 123,
"taxable": 123
},
"legalSpouseShare": 123,
"month": "<string>",
"netWorth": 123,
"ownership": 123,
"second": {
"charity": 123,
"financial": 123,
"financialDeduction": 123,
"giftsAdded": 123,
"gross": 123,
"personalDeduction": 123,
"spouseDeduction": 123,
"tax": 123,
"taxable": 123
},
"spouseShare": 123,
"tax": 123,
"toHeirs": 123
},
"fiAge": 123,
"finalNetWorth": 123,
"firstShortfallMonth": "<string>",
"liquidByAge": {},
"minCash": 123,
"netWorthByAge": {},
"retirementNetWorth": 123,
"spendingAfter": 123,
"spendingBefore": 123
},
"taxYears": [
{
"age": 123,
"brackets": [
{
"rate": 123,
"upTo": 123
}
],
"earners": [
{
"calculated": 123,
"credits": {},
"deductions": {},
"determined": 123,
"marginalRate": 123,
"owner": "SELF",
"pay": 123,
"taxBase": 123
}
],
"pensionAccountCredit": 123,
"year": 123
}
],
"warnings": [
{
"event": "<string>",
"kind": "LAND_PERMIT_GAP"
}
]
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
Show child attributes
Show child attributes
⌘I
고친 플랜의 전망(저장 안 함)
